Subject: bug#18596: 25.0.50; MS-Windows needs a different default for python-shell-interpreter-args

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Nov 2014 23:04:01 +0200

> From: [email-masked] (Fabián Ezequiel Gallina)
> Cc: [email-masked]
> Date: Fri, 14 Nov 2014 17:55:40 -0300
> 
> >> > Are you saying that it is OK for the above form to hang?
> >> >
> >>
> >> Yes, on Windows the "-i" switch is required to avoid the hang and M-x
> >> run-python does the right thing adding it by default.
> >
> > I know that "M-x run-python" does that, but I think run-python itself
> > should do that, too.  It's a bug for it to hang like that.
> >
> 
> I don't agree, run-python will run whatever you tell it to run

I told it to run, not to hang!  And it doesn't hang on Unix, so it
shouldn't on Windows.

> and while I agree that malformed commands hanging it are not fun,
> that's the very same reason why sane defaults are provided and why
> the commentary section state possible problems clearly.

I'm surprised you consider documenting bugs to be a solution for those
bugs.  Bugs should be fixed, not documented.  If Emacs knows that in
certain situation it should invoke Python with -i, it should do that
automatically.  Or it should do something else to fix the hang, but
leaving the hanging behavior is IMO simply wrong, and even unbecoming.

> >> We just need to fix the tests so they don't forget about "-i".
> >
> > That's a related, but separate problem.
> >
> 
> I'll focus on that alone, I'm still not convinced on the course of
> action for this one.

I'm okay with any course of action, provided that the result will be
that the form I provided as recipe will not hang.